jQuery(document).ready(function($) {
	//////////////////////////////  social icon over effect ////////////////////////////// 
	$('.social-header ul li a, .social-counter a').fadeTo(0,1);
	$('.social-header ul li a, .social-counter a').mouseover(function() {
	$(this).fadeTo("fast",0.6);
	}).mouseout(function() { 
	$(this).fadeTo("fast",1); 
	});

	////////////////////////////// Spotlight Ticker /////////////////////////////////////
	$(function(){
    	$("ul#ticker").liScroll({travelocity: 0.06});
	});
	
	/////////////////////// User's Time /////////////////////////////////
	function sivamtime() {
  	now=new Date();
 	 hour=now.getHours();
 	 min=now.getMinutes();
 	 sec=now.getSeconds();

	if (min<=9) { min="0"+min; }
	if (sec<=9) { sec="0"+sec; }
	if (hour>12) { hour=hour-12; add="pm"; }
	else { hour=hour; add="am"; }
	if (hour==12) { add="pm"; }

	time = ((hour<=9) ? "0"+hour : hour) + ":" + min + ":" + sec + " " + add;

	if (document.getElementById) { document.getElementById('theTime').innerHTML = time; }
	else if (document.layers) {
	 document.layers.theTime.document.write(time);
 	document.layers.theTime.document.close(); }

	setTimeout("sivamtime()", 1000);
	}
	window.onload = sivamtime;
	
	////////////////////////////// Tabs /////////////////////////////////////
	$('.tabs-wrapper').each(function() {
		$(this).find(".tab_content").hide(); //Hide all content
		$(this).find("ul.tabs li:first").addClass("active").show(); //Activate first tab
		$(this).find("ul.tabs-sidebar li:first").addClass("active").show(); //Activate first tab
		$(this).find(".tab_content:first").show(); //Show first tab content
	});
	$("ul.tabs li").click(function(e) {
		$(this).parents('.tabs-wrapper').find("ul.tabs li").removeClass("active"); //Remove any "active" class
		$(this).addClass("active"); //Add "active" class to selected tab
		$(this).parents('.tabs-wrapper').find(".tab_content").hide(); //Hide all tab content

		var activeTab = $(this).find("a").attr("href"); //Find the href attribute value to identify the active tab + content
		$(this).parents('.tabs-wrapper').find(activeTab).fadeIn(); //Fade in the active ID content
		
		e.preventDefault();
	});
	$("ul.tabs-sidebar li").click(function(e) {
		$(this).parents('.tabs-wrapper').find("ul.tabs-sidebar li").removeClass("active"); //Remove any "active" class
		$(this).addClass("active"); //Add "active" class to selected tab
		$(this).parents('.tabs-wrapper').find(".tab_content").hide(); //Hide all tab content

		var activeTab = $(this).find("a").attr("href"); //Find the href attribute value to identify the active tab + content
		$(this).parents('.tabs-wrapper').find(activeTab).fadeIn(); //Fade in the active ID content
		
		e.preventDefault();
	});
	$("ul.tabs li a").click(function(e) {
		e.preventDefault();
	})
	$("ul.tabs-sidebar li a").click(function(e) {
		e.preventDefault();
	})
  
	///////////////////////////// Tooltips ///////////////////////////////////
    jQuery('.tooltip').hover(function(){
        tip = jQuery(this).find('.post-tooltip');
        tip.stop(true, true).fadeIn('fast'); //Show tooltip
    }, function() {
        tip.stop(true, true).fadeOut('fast'); //Hide tooltip
    }).mousemove(function(e) {
        var mousex = e.pageX + 20; //Get X coodrinates
        var mousey = e.pageY + 20; //Get Y coordinates
        var tipWidth = tip.width(); //Find width of tooltip
        var tipHeight = tip.height(); //Find height of tooltip

        //Distance of element from the right edge of viewport
        var tipVisX = jQuery(window).width() - (mousex + tipWidth);
        //Distance of element from the bottom of viewport
        var tipVisY = jQuery(window).height() - (mousey + tipHeight);

        if ( tipVisX < 20 ) { //If tooltip exceeds the X coordinate of viewport
            mousex = e.pageX - tipWidth - 35;
        } if ( tipVisY < 20 ) { //If tooltip exceeds the Y coordinate of viewport
            mousey = e.pageY - tipHeight + 25;
        }
        //Absolute position the tooltip according to mouse position
        tip.css({  top: mousey, left: mousex });
    });
	 ////////////////////////// Fade Hover Effect /////////////////////////////////
     $(".flickr_stream img, .fadeover, .attachment-thumbnail").hover(function() {
		$(this).stop().animate({ opacity: '0.4'},100);
		},function() {
		$(this).stop().animate({ opacity: '1'},100);
	});
	

	///////////////////////// jCarouselLite Widget//////////////////////////////////
	$('.anyClass').jCarouselLite({
	        btnNext: "#nextId",
	        btnPrev: "#prevId",
			visible: 4,
			scroll: 2
			
	    });
		
	///////////////////////// Toggle //////////////////////////////////
	$(".toggle-content").hide(); 
	$("h5.toggle").toggle(function(){
		$(this).addClass("active");
		}, function () {
		$(this).removeClass("active");
	});
	$("h5.toggle").click(function(){
		$(this).next(".toggle-content").slideToggle();
	});
	
	//////////////////////// Toggle Spotlight //////////////////////////////
	$(".top-content").hide();
	$(".toggle-top").toggle(function(){
		$(this).addClass("active");
		}, function () {
		$(this).removeClass("active");
	});
	$(".toggle-top").click(function(){
		$(this).next(".top-content").slideToggle();
	});
	
	/////////////////////// Submenu link move ///////////////////////////////////
    $(".sub-menu li").hover(function() {
		$(this).find("a:first").stop().animate({ paddingLeft: '25px'},130);
	},function() {
		$(this).find("a:first").stop().animate({ paddingLeft: '15px'},130);
	});
	
	//////////////////////////// colorbox to gallery ////////////////////////////////////
	$('#gallery').each(function(index, obj){
		var galleryid = Math.floor(Math.random()*10000);
		$(obj).find('a').colorbox({rel:galleryid, maxWidth:'95%', maxHeight:'95%'});
	});
	$("a.lightbox").colorbox({maxWidth:'95%', maxHeight:'95%'});
	
	/////////////////////// Contact form ///////////////////////////////////
	$('#contactForm').live('submit', function(e) {
		var form = $(this);
		var name = $(this).find('[name=backstreet_name]').val();
		var email = $(this).find('[name=backstreet_email]').val();
		var message = $(this).find('[name=backstreet_message]').val();
		
		if(name == '') {
			$(this).find('[name=backstreet_name]').addClass('error');
			$(this).find('[name=backstreet_name]').parent().find('.error_msg').fadeIn();
			
			return false;
		} else {
			$(this).find('[name=backstreet_name]').removeClass('error');
			$(this).find('[name=backstreet_name]').parent().find('.error_msg').fadeOut();
		}
		
		var email_regex = /^[a-zA-Z0-9._-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$/;
		if(email == ''  || !email_regex.test(email)) {
			$(this).find('[name=backstreet_email]').addClass('error');
			$(this).find('[name=backstreet_email]').parent().find('.error_msg').fadeIn();
			
			return false;
		} else {
			$(this).find('[name=backstreet_email]').removeClass('error');
			$(this).find('[name=backstreet_email]').parent().find('.error_msg').fadeOut();
		}
		
		if(message == '') {
			$(this).find('[name=backstreet_message]').addClass('error');
			$(this).find('[name=backstreet_message]').parent().find('.error_msg').fadeIn();
			
			return false;
		} else {
			$(this).find('[name=backstreet_message]').removeClass('error');
			$(this).find('[name=backstreet_message]').parent().find('.error_msg').fadeOut();
		}
		
		$.ajax({
			url: AvenueVars.ajaxUrl,
			data: jQuery(form).serialize()+'&action=backstreet_contact_form',
			type: 'POST',
			success: function() {
				$('.email_sent').fadeIn(400).delay(5000).fadeOut(400);
			}
		});
		
		e.preventDefault();
	});
});